> ## Documentation Index
> Fetch the complete documentation index at: https://docs.intermezzo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Run Fps Test In Live

> Submit a Test-in-Live (TIL) FPS to HMRC.

Uses the calculated payslip data to submit an FPS with message class
HMRC-PAYE-RTI-FPS-TIL. HMRC processes it as a test without affecting
live payroll records. Can be run after payroll calculation, before approval.



## OpenAPI

````yaml /api-reference/preview.json post /gb/organizations/{organization_id}/payrolls/{payroll_status_id}/fps/test-in-live
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /gb/organizations/{organization_id}/payrolls/{payroll_status_id}/fps/test-in-live:
    post:
      tags:
        - Great Britain
        - Payroll Runs
      summary: Run Fps Test In Live
      description: >-
        Submit a Test-in-Live (TIL) FPS to HMRC.


        Uses the calculated payslip data to submit an FPS with message class

        HMRC-PAYE-RTI-FPS-TIL. HMRC processes it as a test without affecting

        live payroll records. Can be run after payroll calculation, before
        approval.
      operationId: >-
        run_fps_test_in_live_gb_organizations__organization_id__payrolls__payroll_status_id__fps_test_in_live_post
      parameters:
        - name: payroll_status_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Payroll Status Id
        - name: organization_id
          in: path
          required: true
          schema:
            anyOf:
              - type: string
              - type: string
                format: uuid
            title: Organization Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GBHmrcFpsSubmissionTask'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerToken: []
components:
  schemas:
    GBHmrcFpsSubmissionTask:
      properties:
        task_id:
          type: string
          title: Task Id
        status:
          $ref: '#/components/schemas/PayrollTaskStatus'
      type: object
      required:
        - task_id
        - status
      title: GBHmrcFpsSubmissionTask
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PayrollTaskStatus:
      type: string
      enum:
        - DRAFT
        - IN_PROGRESS
        - SUCCESS
        - FAILED
      title: PayrollTaskStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerToken:
      type: oauth2
      flows:
        password:
          scopes:
            read:all: Read all
            write:all: Write all
            read:health_check: Read health check
            write:health_check: Write health check
            read:wage_types: Read wage types
            write:wage_types: Write wage types
          tokenUrl: >-
            https://auth-preview.intermezzo.ai/authorize?audience=api-preview.intermezzo.ai

````